Release Notes/1.1.2

From Davical
Jump to: navigation, search
Help
Available languages
(released 2014-10-07)

This is a bug fix release.

Prerequisites for Upgrade

Database Upgrade

There are no database changes in this release

Versions of Other Software

  • AWL 0.53 or 0.54 is required.
  • PostgreSQL 8.1 or later is required (8.4 or later is recommended).
  • PHP version 5.1 or later is required.
  • PHP PDO libraries and PDO PostgreSQL drivers

Changes

Bug Fixes

  • Fix capitalisation of 'plpgsql' and 'sql' to support Postgres 9.2.
  • The HTTP Content-Type header should be 'charset' not 'encoding'.
  • Return "Bad Request" rather than "Server Error" in some places.
  • Workaround iOS6 supported-calendar-component-set issue.
  • Add workaround for client software with imperfect add-member implementations.
  • Replace deprecated split() with explode() in some very ancient code.
  • Other minor bugfixes.

Other Changes

Downloading DAViCal

See Downloading

Known Issues

Subsequently Fixed in Git

Outstanding

  • None known.